﻿/*
Thor Server 2.0 Project - Codenamed "Stockholm"
Copyright 2008 - 2009 Joe Hegarty


This file is part of The Thor Server 2.0 Project - Codenamed "Stockholm".

The Thor Server 2.0 Project - Codenamed "Stockholm" is free software: you can 
redistribute it and/or modify it under the terms of the Microsoft Public License

The Thor Server Project is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
Microsoft Public License for more details.

You should have received a copy of the Microsoft Public License
along with The Thor Server Project.  If not, see 
http://www.opensource.org/licenses/ms-pl.html
*/

using System;
using System.Collections.Generic;

using StockholmLibrary.Net;
using StockholmLibrary.Game.Sessions;
using StockholmLibrary.Data;


namespace StockholmLibrary.Game.Packets.Server
{
    //------------------------------------
    public enum EServerPacket
    {
        INVALID = -1,
        HELLO = 0, // @@
        FUSE_RIGHTS = 2, //@B
        LOGIN_OK = 3, //@C
        USER_OBJECT = 5, //@E
        WALLET_BALANCE = 6, //@F
        SUBSCRIPTION_INFO = 7, // @G
        CLIENT_ALLOWED_SETS = 8, // @H
        FLAT_RESULTS_USER = 16, // "@P"
        HOTEL_VIEW = 18, // @R
        ROOM_READY = 19, // @S
        SAY = 24, // @X
        WHISPER = 25, // @Y
        SHOUT = 26, // @Z
        USERS = 28, // @\
        USER_EXIT = 29, // @]
        FLOOR_OBJECTS = 30, // @^
        HEIGHTMAP = 31, // @_
        FLOOR_ITEMS = 32, //@`
        ERROR = 33, // @a
        STATUS = 34, // @b
        NAMEAPPROVED = 36, // @d
        FLAT_OK = 41, // @i
        WALL_ITEMS = 45, // //@m
        ROOM_PROPERTY = 46, // @n
        FLATINFO = 54, // @v
        FLAT_RESULTS = 55, // "@w"
        NOFLATSFORUSER = 57, // "@y"
        NOFLATS = 58, // "@z"
        FLATCREATED = 59, // "@{"
        ROOM_MODEL = 69, // AE
        AD_SERVER = 166, //Bf
        ACCOUNT_UPDATED = 169, // "Bi"
        REDEEM_VOUCHER_OK = 212, // "CT"
        REDEEM_VOUCHER_ERROR = 213, // "CU"
        FLAT_LIST = 220, // C\
        USER_FLAT_CAT_LIST = 221, // C]
        FLATCAT = 222, // "C^"
        BADGE_LIST = 229, // Ce
        CLIENT_FORMATTING = 257, //DA
        INTEREST_INFO = 258, //DB
        GENERIC_APPROVED = 271, // "DO"
        PASSWORD_APPROVED = 282, // "DZ"

    }    
}
