﻿/*
Thor Server 2.0 Project - Codenamed "Stockholm"
Copyright 2008 - 2009 Joe Hegarty


This file is part of The Thor Server 2.0 Project - Codenamed "Stockholm".

The Thor Server 2.0 Project - Codenamed "Stockholm" is free software: you can 
redistribute it and/or modify it under the terms of the Microsoft Public License

The Thor Server Project is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
Microsoft Public License for more details.

You should have received a copy of the Microsoft Public License
along with The Thor Server Project.  If not, see 
http://www.opensource.org/licenses/ms-pl.html
*/

using System;
using System.Linq;

using StockholmLibrary.Net;
using StockholmLibrary.Game.Handlers.Specific;
using StockholmLibrary.Data;
using StockholmLibrary.Game.Flats;

namespace StockholmLibrary.Game.Sessions
{
    //------------------------------------
    public class Session
    {
        public Peer Peer;
        public User User = null;
        public Flat CurrentFlat = null;

        SessionUserHandler _userHandler;


        //**********************************************
        public Session(int userId, Peer peer)
        {
            Peer = peer;

            StockholmDbDataContext db = Stockholm.Get().Database;
            var userQuery = from p in db.Users where p.UserID == userId select p;
            User = userQuery.Single();
            User.LastLogin = DateTime.Now;
            db.SubmitChanges();

            Peer.Session = this;

            _userHandler = new SessionUserHandler(this);
        }
    }
}
